Package org.apache.commons.lang3.function

## Interface FailableDoubleToLongFunction<E extends java.lang.Throwable>

Type Parameters:
  `E` - Thrown exception.

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface FailableDoubleToLongFunction<E extends java.lang.Throwable>

A functional interface like `DoubleToLongFunction` that declares a `Throwable`.

Since:
  3.11

### Field Summary

Fields
`static FailableDoubleToLongFunction` `NOP` NOP singleton

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods
`int` `applyAsLong​(double value)` Applies this function to the given argument.
`static <E extends java.lang.Throwable> FailableDoubleToLongFunction<E>` `nop()` Returns The NOP singleton.

### Field Detail

#### NOP

    static final FailableDoubleToLongFunction NOP

NOP singleton

### Method Detail

#### nop

    static <E extends java.lang.Throwable> FailableDoubleToLongFunction<E> nop()

Returns The NOP singleton.

Type Parameters:
  `E` - Thrown exception.
Returns:
  The NOP singleton.

#### applyAsLong

    int applyAsLong​(double value)
             throws E extends java.lang.Throwable

Applies this function to the given argument.

Parameters:
  `value` - the function argument
Returns:
  the function result
Throws:
  `E` - if the operation fails
  `E extends java.lang.Throwable`